project(simpledvd)

SET(simpledvd_SOURCES
   simpledvd.cpp
)

SET(simpledvd_HEADERS
   simpledvd.h
)

SET(simpledvd_FORMS
   uisimpledvd.ui
)

QT5_WRAP_CPP(simpledvd_HEADERS_MOC ${simpledvd_HEADERS})
QT5_WRAP_UI(simpledvd_FORMS_HEADERS ${simpledvd_FORMS})

SET(PROJECT_VERSION 1.4.0)

add_library(simpledvd SHARED
   ${simpledvd_SOURCES}
   ${simpledvd_FORMS_HEADERS}
)

set_target_properties(simpledvd PROPERTIES VERSION ${PROJECT_VERSION})
set_target_properties(simpledvd PROPERTIES SOVERSION 1.4)

message(STATUS "Found simpledvd:")

########### install files ###############

INSTALL(TARGETS simpledvd           DESTINATION  share/qdvdauthor/plugins/        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
INSTALL(FILES background.jpg        DESTINATION  share/qdvdauthor/plugins/simpledvd/)
INSTALL(FILES main.png              DESTINATION  share/qdvdauthor/plugins/simpledvd/)
INSTALL(FILES next.png              DESTINATION  share/qdvdauthor/plugins/simpledvd/)
INSTALL(FILES prev.png              DESTINATION  share/qdvdauthor/plugins/simpledvd/)
#INSTALL(FILES libsimpledvd.so       DESTINATION  share/qdvdauthor/plugins/)
#INSTALL(FILES libsimpledvd.so.1.4   DESTINATION  share/qdvdauthor/plugins/)
#INSTALL(FILES libsimpledvd.so.1.4.0 DESTINATION  share/qdvdauthor/plugins/)
